Bug 961839 - LDB tools do not ship with ldb_ldap modules
LDB tools do not ship with ldb_ldap modules
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libldb (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 10:13 EDT by William Brown
Modified: 2014-03-08 23:35 EST (History)
4 users (show)

See Also:
Fixed In Version: libldb-1.1.16-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-17 23:26:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Brown 2013-05-10 10:13:07 EDT
Description of problem:

ldbsearch -H ldap://ad.example.com
Unable to find backend for 'ldap://ad.example.com' - do you need to set LDB_MODULES_PATH?

This shows that the ldap handler for ldb is not built and shipping by default. These should be built and shipped, as they allow easier access to manage certain aspects of samba 4 systems, as well as improved testing and development ability to users. 

This is corrected by adding the following to the libldb.spec

BuildRequires: openldap-devel
Comment 3 Fedora End Of Life 2013-12-21 10:31:03 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora Update System 2014-01-02 10:15:20 EST
libldb-1.1.16-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libldb-1.1.16-4.fc20
Comment 5 Fedora Update System 2014-01-02 10:15:38 EST
libldb-1.1.16-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libldb-1.1.16-4.fc19
Comment 6 Fedora Update System 2014-01-03 03:33:51 EST
Package libldb-1.1.16-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libldb-1.1.16-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0051/libldb-1.1.16-4.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-01-17 23:26:28 EST
libldb-1.1.16-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-03-08 23:35:28 EST
libldb-1.1.16-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.